Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.server.rest.repr
Class DefaultFormat

    java.lang.Object
      org.neo4j.server.rest.repr.RepresentationFormat
          org.neo4j.server.rest.repr.DefaultFormat

All Implemented Interfaces:
  InputFormat

    public class DefaultFormat

extends RepresentationFormat

This class decorates another RepresentationFormat (called inner here), and tries to use inner to parse stuff. If it fails, it will throw an appropriate exception, and not just blow up with an exception that leads to HTTP STATUS 500

Constructor Summary
`DefaultFormat(RepresentationFormat inner, Collection<javax.ws.rs.core.MediaType> supported, javax.ws.rs.core.MediaType... requested)`

Method Summary
`protected String` | `complete(ListWriter serializer)`
`protected String` | `complete(MappingWriter serializer)`
`List<Object>` | `readList(String input)`
`Map<String,Object>` | `readMap(String input)`
`URI` | `readUri(String input)`
`Object` | `readValue(String input)`
`protected ListWriter` | `serializeList(String type)`
`protected MappingWriter` | `serializeMapping(String type)`
`protected String` | `serializeValue(String type, Object value)`

Methods inherited from class org.neo4j.server.rest.repr.RepresentationFormat
`convertBoolean, convertByte, convertCharacter, convertDouble, convertFloat, convertInteger, convertLong, convertNode, convertRelationship, convertShort, convertString, convertURI, getNode, getNode, getRelationship, readParameterList, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultFormat

    public DefaultFormat(RepresentationFormat inner,
                         Collection<javax.ws.rs.core.MediaType> supported,
                         javax.ws.rs.core.MediaType... requested)

Method Detail

### serializeValue

    protected String serializeValue(String type,
                                    Object value)

  Specified by:
    `serializeValue` in class `RepresentationFormat`

### serializeList

    protected ListWriter serializeList(String type)

  Specified by:
    `serializeList` in class `RepresentationFormat`

### serializeMapping

    protected MappingWriter serializeMapping(String type)

  Specified by:
    `serializeMapping` in class `RepresentationFormat`

### complete

    protected String complete(ListWriter serializer)

  Specified by:
    `complete` in class `RepresentationFormat`

### complete

    protected String complete(MappingWriter serializer)

  Specified by:
    `complete` in class `RepresentationFormat`

### readValue

    public Object readValue(String input)

### readMap

    public Map<String,Object> readMap(String input)
                               throws BadInputException

  Throws:
    `BadInputException`

### readList

    public List<Object> readList(String input)
                          throws BadInputException

  Throws:
    `BadInputException`

### readUri

    public URI readUri(String input)
                throws BadInputException

  Throws:
    `BadInputException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.